%% Script to fit distributions to annual inflow data
clear;
clc; clf;
%% Import annual HAD inflow data & format
% filepath to 'HAD_ENRM_Inflows_Annual_bcm.csv'
filepath = ('/HAD_ENRM_Inflows_Annual_bcm.csv');
data = readmatrix(filepath);% read file
data(:,1) = []; % delete first column
x = data(:); % format data
q = quantile(x,0.07); % quartile for low flows
B = x < q; y = x(B); % Filter low flow data

%% Fit distribtuions
% x = all data
% y = low flow data (<7%)
F = fitmethis(x); % change to x or y here
[xi,alpha,k] = glo_fit(x);
s = size(F); s = s(1,2);

% format matrix with distribution results
for i = 1:s
    out{i,1} = getfield(F,{i},'name');
    out{i,2} = getfield(F,{i},'par');
    out{i,3} = getfield(F,{i},'ci');
    out{i,4} = getfield(F,{i},'LL');
    out{i,5} = getfield(F,{i},'aic');
end
%% Format plot
set(gca,'TickDir','out');
xlabel('Flow (MCM/month)', 'FontSize', 12,'FontWeight', 'bold','FontName', 'Arial') 
ylabel('PDF', 'FontSize', 12,'FontWeight', 'bold','FontName', 'Arial') 
legend('Box', 'on', 'location', 'northwest')
%print(gcf,'HAD.png','-dpng','-r400'); % save figure